#include <iostream>

using namespace std;

int main()
{
    int n,h;
    cin>>n>>h;
    int niz[n]={};
    bool atm=0;
    for(int i=0;i<n;i++){
        cin>>niz[i];
        if(niz[i]<=h)
            atm=1;
    }
    if(atm==0){
        cout<<"-1";
    }
    else{
        int s=0;
        while(niz[s]>h){
            s++;
        }
        cout<<s+1;
    }
}